using System.ComponentModel;

namespace Kit.Helpers.Web.Models
{
    /// <summary> Описание состояния узла JsTree </summary>
    [NeedToGenerateJsDoc]
    [Description("Описание состояния узла JsTree")]
    public class JsTreeNodeStateModel
    {
        /// <summary> Открыт ли узел </summary>
        [Description("Открыт ли узел")]
        public bool opened { get; set; }

        /// <summary> Выключен ли узел </summary>
        [Description("Выключен ли узел")]
        public bool disabled { get; set; }

        /// <summary> Выбран ли узел </summary>
        [Description("Выбран ли узел")]
        public bool selected { get; set; }
    }
}